import { WalletConnectModalConfig } from '@walletconnect/modal';
import WalletConnectClient from '@walletconnect/sign-client';
import type { SignClientTypes } from '@walletconnect/types';
export type WalletConnectWeb3ModalConfig = Omit<WalletConnectModalConfig, 'projectId'>;
export interface WalletConnectWalletAdapterConfig {
    network: ChainID;
    options: SignClientTypes.Options;
    /**
     * Config for web3Modal constructor.
     * Detailed documentation can be found in WalletConnect page: https://docs.walletconnect.com/advanced/walletconnectmodal/options.
     * - `projectId` will be ignored and will be set with `options.projectId`.
     */
    web3ModalConfig?: WalletConnectWeb3ModalConfig;
}
export declare enum WalletConnectChainID {
    Mainnet = "tron:0x2b6653dc",
    Shasta = "tron:0x94a9059e",
    Nile = "tron:0xcd8690dc"
}
export type ChainID = WalletConnectChainID | `tron:${string}`;
export declare enum WalletConnectMethods {
    signTransaction = "tron_signTransaction",
    signMessage = "tron_signMessage"
}
interface WalletConnectWalletInit {
    address: string;
}
export declare class WalletConnectWallet {
    private _client;
    private _session;
    private readonly _network;
    private readonly _options;
    private readonly _modalConfig;
    private web3Modal;
    private address;
    constructor(config: WalletConnectWalletAdapterConfig);
    connect(): Promise<WalletConnectWalletInit>;
    disconnect(): Promise<void>;
    get client(): WalletConnectClient;
    checkConnectStatus(): Promise<WalletConnectWalletInit>;
    signTransaction(transaction: any): Promise<any>;
    signMessage(message: string): Promise<any>;
}
export {};
//# sourceMappingURL=adapter.d.ts.map